# --------------------------------------------------------
###   nuke_     

#
#   `nuke_catalog_movie`
#

CREATE TABLE `nuke_catalog_movie` (
  `pid` int(10) NOT NULL auto_increment,
  `cid` int(11) default NULL,
  `cid2` int(11) default NULL,
  `cid3` int(11) default NULL,
  `title` varchar(255) default NULL,
  `original` varchar(255) default NULL,
  `image` varchar(255) default NULL,
  `logo` text,
  `logolink` text,
  `active` int(1) NOT NULL default '0',
  `fabrik` varchar(255) default NULL,
  `editor` varchar(255) default NULL,
  `page_header` mediumtext,
  `text` mediumtext,
  `link` text,
  `more` text,
  `date` datetime default '0000-00-00 00:00:00',
  `counter` int(10) NOT NULL default '0',
  `link2` text,
  `link3` text,
  `year` varchar(4) default NULL,
  `razmer` varchar(255) default NULL,
  `lange` varchar(255) default NULL,
  `ubersetz` text,
  `format` varchar(7) default NULL,
  `qualitet` text,
  `video` varchar(255) default NULL,
  `audio` varchar(255) default NULL,
  `upd` int(11) default '0',
  `dlcount` int(11) NOT NULL default '0',
  `reiting` int(10) NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `pid` (`pid`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;


#
#   `nuke_catalog_categories_movie`
#

CREATE TABLE `nuke_catalog_categories_movie` (
  `cid` tinyint(6) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text,
  `parentid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM;

#
#   `nuke_catalog_movie_dl`
#

CREATE TABLE `nuke_catalog_movie_dl` (
  `dlid` int(6) unsigned NOT NULL auto_increment,
  `pid` int(11) default NULL,
  `ip` varchar(50) NOT NULL default '',
  `date` datetime default NULL,
  PRIMARY KEY  (`dlid`)
) TYPE=MyISAM;
#
#   `nuke_catalog_movie_poolchec`
#

CREATE TABLE `nuke_catalog_movie_poolchec` (
  `pid` int(11) NOT NULL default '0',
  `time` varchar(14) NOT NULL default '',
  `host_addr` varchar(48) NOT NULL default '',
  `votes` int(11) NOT NULL default '0',
  `totalvotes` int(11) NOT NULL default '0',
  KEY `time` (`time`)
) TYPE=MyISAM;


#
#   `nuke_catalog_comments`
#

CREATE TABLE `nuke_catalog_comments` (
  `tid` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `date` datetime default NULL,
  `name` varchar(60) NOT NULL default '',
  `email` varchar(60) default NULL,
  `url` varchar(60) default NULL,
  `host_name` varchar(60) default NULL,
  `comment` text NOT NULL,
  `rat` INT(1) NULL,
  PRIMARY KEY  (`tid`),
  KEY `tid` (`tid`),
  KEY `pid` (`pid`)
) TYPE=MyISAM;


#
#   `nuke_catalog_pages`
#

CREATE TABLE `nuke_catalog_pages` (
  `pid` int(10) NOT NULL auto_increment,
  `cid` int(10) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `subtitle` varchar(255) NOT NULL default '',
  `active` int(1) NOT NULL default '0',
  `page_header` text NOT NULL,
  `text` text NOT NULL,
  `page_footer` text NOT NULL,
  `signature` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `counter` int(10) NOT NULL default '0',
  `clanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pid`),
  KEY `pid` (`pid`),
  KEY `cid` (`cid`)
) TYPE=MyISAM;

#
# Table structure for table nuke_catalog_movie_active
#

CREATE TABLE `nuke_catalog_movie_active` (
  `a_id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `des` varchar(255) NOT NULL default '',
  `image` varchar(255) NOT NULL default '',
  `dwn` int(10) NOT NULL default '0',
  PRIMARY KEY  (`a_id`)
) TYPE=MyISAM;

#
# Dumping data for table nuke_catalog_movie_active
#

INSERT INTO `nuke_catalog_movie_active` VALUES (1,'Online','   ','online.gif',1);
INSERT INTO `nuke_catalog_movie_active` VALUES (2,'CD','   ( CD)','cd.gif',0);
INSERT INTO `nuke_catalog_movie_active` VALUES (3,'DVD','   ( DVD)','dvd.gif',0);
INSERT INTO `nuke_catalog_movie_active` VALUES (4,'Online2User',',       !','',2);
INSERT INTO `nuke_catalog_movie_active` VALUES (8,'Wanted','<h3>  </h3>       - !','lupa.png',0);

#
#   `nuke_catalog_cfg`
#
CREATE TABLE `nuke_catalog_cfg` (
  `cfgid` int(11) NOT NULL auto_increment,
  `blk_active` tinyint(1) NOT NULL default '1',
  `blk_reting` tinyint(1) NOT NULL default '1',
  `blk_dl` tinyint(1) NOT NULL default '1',
  `blk_lastmov` tinyint(1) NOT NULL default '1',
  `blk_topview` tinyint(1) NOT NULL default '1',
  `blk_req` tinyint(1) NOT NULL default '1',
  `reiting_lim` tinyint(2) NOT NULL default '1',
  `dl_lim` tinyint(2) NOT NULL default '1',
  `lastmov_lim` tinyint(2) NOT NULL default '1',
  `topview_lim` tinyint(2) NOT NULL default '1',
  `comments_cfg` tinyint(1) NOT NULL default '1',
  `shw_none` tinyint(1) NOT NULL default '1',
  `last_upd` int(11) NOT NULL default '0',
  `bcfg1` tinyint(1) NOT NULL default '1',
  `bcfg2` tinyint(1) NOT NULL default '1',
  `proxy_name` varchar(255) NOT NULL default '192.168.0.1',
  `proxy_port` varchar(10) NOT NULL default '8080',
  `proxy_get` tinyint(1) NOT NULL default '0',
  `defurl` varchar(255) default NULL,
  `netpath` varchar(255) NOT NULL default '',
  `cadr` int(1) NOT NULL default '1',
  `dwn` int(1) NOT NULL default '1',
  PRIMARY KEY  (`cfgid`)
) TYPE=MyISAM;

#
#    `nuke_catalog_cfg`
#

INSERT INTO `nuke_catalog_cfg` VALUES (1, 1, 1, 1, 1, 1, 1, 15, 5, 5, 5, 1, 1, 10, 1, 0, 0x3139322e3136382e302e313031, 0x33313238, 1, '', '','1','1');

CREATE TABLE `nuke_catalog_movie_req` (
  `pid` int(11) NOT NULL default '0',
  `time` varchar(30) NOT NULL default '',
  `userid` varchar(48) NOT NULL default '',
  `reqtype` tinyint(1) NOT NULL default '1',
  KEY `time` (`time`)
) TYPE=MyISAM;

CREATE TABLE nuke_catalog_cadr (
  `idc` tinyint(11) NOT NULL auto_increment,
  `pid` tinyint(11) default NULL,
  `img` varchar(255) default NULL,
  `cdrstat` int(1) NOT NULL default '1',
  `user` varchar(255) default NULL,
  KEY `idc` (`idc`)
) TYPE=MyISAM;

CREATE TABLE `nuke_catalog_broken` (
 `requestid` int(11) NOT NULL auto_increment,
 `pid` int(11) NOT NULL default '0',
 `modifysubmitter` varchar(60) NOT NULL default '',
 `broken` int(3) NOT NULL default '0',
 `name` varchar(100) NOT NULL default '',
 `email` varchar(100) NOT NULL default '',
 `filesize` int(11) NOT NULL default '0',
 `version` varchar(10) NOT NULL default '',
 `homepage` varchar(200) NOT NULL default '',
 PRIMARY KEY  (`requestid`),
 UNIQUE KEY `requestid` (`requestid`)
) TYPE=MyISAM;

CREATE TABLE nuke_catalog_users (
  `mid` INT( 11 ) NOT NULL AUTO_INCREMENT ,
  `muid` INT( 11 ) NOT NULL ,
  PRIMARY KEY ( `mid` )
) TYPE=MyISAM;

